<?php
/**
 * @version        2.0.8
 * @package        Joomla
 * @subpackage     Membership Pro
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2012-2014 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */
OSMembershipHelperJquery::equalHeights();
if (isset($config->number_columns))
{
	$numberColumns = $config->number_columns ;
}
else
{
	$numberColumns = 3 ;
}
if (!isset($categoryId))
{
	$categoryId = 0;
}
$span = intval(12 / $numberColumns);
$btnClass = $bootstrapHelper->getClassMapping('btn');
$imgClass = $bootstrapHelper->getClassMapping('img-polaroid');
$spanClass = $bootstrapHelper->getClassMapping('span' . $span);
$rowFluidClass = $bootstrapHelper->getClassMapping('row-fluid');
?>
<div class="clearfix <?php echo $rowFluidClass; ?>">
<?php
$i = 0;
$numberPlans = count($items);
foreach ($items as $item)
{
	$i++;
	$Itemid = OSMembershipHelperRoute::getPlanMenuId($item->id, $categoryId, $Itemid);
	if ($item->thumb)
	{
		$imgSrc = JUri::base().'media/com_osmembership/'.$item->thumb ;
	}
	$url = JRoute::_('index.php?option=com_osmembership&view=plan&catid='.$categoryId.'&id='.$item->id.'&Itemid='.$Itemid);
	if ($config->use_https)
	{
		$signUpUrl = JRoute::_(OSMembershipHelperRoute::getSignupRoute($item->id, $Itemid), false, 1);
	}
	else
	{
		$signUpUrl = JRoute::_(OSMembershipHelperRoute::getSignupRoute($item->id, $Itemid));
	}
	?>
	<div class="osm-item-wrapper <?php echo $spanClass; ?>">




						<?php
						if (OSMembershipHelper::canSubscribe($item))
						{
						?>

								<a href="<?php echo $signUpUrl; ?>" class="<?php echo $btnClass; ?> btn-primary">
									<?php echo JText::_('OSM_SIGNUP'); ?>
								</a>

						<?php
						}
						?>




	<?php
	if ($i % $numberColumns == 0 && $i < $numberPlans)
	{
	?>
		</div>
		<div class="clearfix <?php echo $rowFluidClass; ?>">
	<?php
	}
}
?>
</div>
<script type="text/javascript">
	OSM.jQuery(function($) {
		$(document).ready(function() {
			$(".osm-item-description-text").equalHeights(130);
		});
	});
</script>